Subject: Re: Dump of TCP hang in established state

From: Nivedita Singhvi <[email-masked]>
Date: Wed, 21 May 2003 10:19:30 -0700

James Morris wrote:

>>- There are those mysterious TCP hangs of established state sockets. 
>>  Someone has to get a good log in order for us to effectively debug this.
>>
>>I think this is what I've seen a few times when using distcc.
> 
> Does anyone know if the other hangs are seen when the app is using 
> TCP_CORK (like distcc does) ?

We had observed some hangs during SpecWeb99 benchmark runs.
Unfortunately, we managed to burn down the machine and have
yet to rerun the benchmark. No other workload seems to
be observing them.

I'm trying to excavate the one incomplete trace I had of
that hang, if possible. IIRC it was using sendfile(), so
probably also using TCP_CORK, though dont know that for
sure.

Can anyone tell me what to do to reproduce this?

Also, I'd like to have this tracked in bugzilla, if noone
objects (DaveM?), so we dont lose it..I had dropped some earlier
reports of hangs. I'll file in BUGME..

thanks,
Nivedita